Subject: Re: [PATCH] Fix a false negative in t5512 when run using sh -x

From: Jonathan Nieder <[email-masked]>
Date: Mon, 10 May 2010 06:31:13 -0500

Johannes Sixt wrote:

> I can just amend my patch, no problem, and we solve the issue as you
> propose (or perhaps not - it *is* ugly as hell).

For your application, I’d suggest using BASH_XTRACEFD.  Or not, since
it is good to reveal problems people will run into when they try
sh -x some-particular-test.sh

Since the problem cases seem to be rare, I guess the ‘grep’ trick is
good enough.  It is nice anyway to be able to switch between fatal:
and error: without breaking tests.

t9108 seems to have the same problem.  Maybe you skip svn tests?

Jonathan